Name:           qutecom
Version:        2.2.1
Release:        1%{?dist}
Summary:        Internet phone software
License:        GPLv2+
Group:          Applications/Communications
URL:            http://www.qutecom.org/
Source0:        http://www.qutecom.org/nightlybuilds/universal/sources/%{name}-%{version}.tar.bz2
Patch0:         qutecom-tinyxml.patch
Patch1:         qutecom-gsm.patch
Patch2:         qutecom-spandsp.patch
# http://trac.qutecom.org/ticket/287
Patch3:         qutecom-videodev.patch
# https://bugs.launchpad.net/bugs/791275
Patch4:         qutecom-new-avcodec-api.patch
# https://bugs.gentoo.org/show_bug.cgi?id=443254
Patch5:         qutecom-2.2-ffmpeg-1.patch
Patch6:         qutecom-2.2-boost-1.50.patch
Patch7:         qutecom-qtimer.patch
Patch997:       qutecom-srtp.patch
Patch998:       qutecom-ortp.patch
Patch999:       qutecom-eXosip2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake boost-devel desktop-file-utils
BuildRequires:  qt4-devel qt-webkit-devel python-devel libXScrnSaver-devel,gcc-c++
BuildRequires:  speex-devel ffmpeg-devel
BuildRequires:  openssl-devel glib2-devel gnutls-devel
BuildRequires:  e2fsprogs-devel curl-devel
BuildRequires:  libsamplerate-devel libsndfile-devel
BuildRequires:  alsa-lib-devel libxml2-devel
BuildRequires:  pm-utils-devel libpurple-devel libuuid-devel
BuildRequires:  tinyxml-devel gsm-devel spandsp-devel
%if 0%{?fedora} >= 15
BuildRequires:  libv4l-devel
%endif
#BuildRequires:  srtp-devel
#BuildRequires:  ortp-devel
#BuildRequires:  portaudio-devel >= 19
#BuildRequires:  libeXosip2-devel libosip2-devel
#BuildRequires:  iaxclient-devel

%description
QuteCom is a SIP softphone which allows you to make free PC to PC
video and voice calls, and to integrate all your IM contacts in one
place.

%prep
%setup -q
%patch0 -p1 -b .tinyxml
%patch1 -p1 -b .gsm
%patch2 -p1 -b .spandsp

%if 0%{?fedora} >= 15
%patch3 -p1 -b .videodev
%endif

%if 0%{?fedora} >= 16
%patch4 -p1 -b .avcodec
%endif

%if 0%{?fedora} >= 18
%patch5 -p1 -b .ffmpeg1
%patch6 -p1 -b .boost
%endif

%if 0%{?fedora} >= 19
%patch7 -p1 -b .qtimer
%endif

#%patch997 -p1 -b .srtp
#%patch998 -p1 -b .ortp
#%patch999 -p1 -b .exosip

%build
mkdir -p %{_target_platform}

pushd %{_target_platform}

%{cmake} \
        -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DCOPY_DATA_FILES_ON_CONFIGURE=OFF \
        -DBUILDID_SUPPORT=OFF \
        -DPHAPI_QOS_DEBUG_SUPPORT=ON \
        -DPHAPI_CODEC_ILBC_SUPPORT=ON \
        -DPHAPI_CODEC_AMR_SUPPORT=OFF \
        -DPHAPI_VIDEO_SUPPORT=ON \
        -DHAVE_SWSCALE=ON \
        -DOWSOUND_PORTAUDIO_SUPPORT=OFF \
        -DPORTAUDIO_INTERNAL=OFF \
        -DSAMPLERATE_INTERNAL=OFF \
        -DCURL_INTERNAL=OFF \
        -DFFMPEG_INTERNAL=OFF \
        -DSPEEX_INTERNAL=OFF \
        -DLIBPURPLE_INTERNAL=OFF \
        -DIAXCLIENT_INTERNAL=OFF \
        -DOSIP2_INTERNAL=ON \
        -DENABLE_CRASHREPORT=OFF \
        -DDISABLE_FILETRANSFER=OFF \
        -DDISABLE_CALL_FORWARD=ON \
        -DDISABLE_MANUAL_CALL_FORWARD=OFF \
        -DDISABLE_VOICE_MAIL=OFF \
        -DBUILDID_SUPPORT=OFF \
        -DCUSTOM_ACCOUNT=OFF \
        -DQT_UIC_EXECUTABLE=/usr/bin/uic-qt4 \
        -DCMAKE_SKIP_RPATH=FALSE \
        -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
        -DCMAKE_INSTALL_RPATH=%{_libdir}/qutecom \
        ..
popd

make %{?_smp_mflags} -C %{_target_platform}

make lupdate -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
chmod 755 %{buildroot}%{_libdir}/pm-utils/sleep.d/70QuteCom

ln -sf ../../%{name}/AUTHORS AUTHORS
ln -sf ../../%{name}/COPYING COPYING

rm %{buildroot}%{_datadir}/%{name}/lang/assistant*qm
rm %{buildroot}%{_datadir}/%{name}/lang/designer*qm
rm %{buildroot}%{_datadir}/%{name}/lang/linguist*qm
rm %{buildroot}%{_datadir}/%{name}/lang/qtconfig*qm
rm %{buildroot}%{_datadir}/%{name}/lang/qt_*qm

%find_lang qtqutecom --with-qt

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f qtqutecom.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lang
%{_datadir}/%{name}/chat
%{_datadir}/%{name}/config
%{_datadir}/%{name}/css
%{_datadir}/%{name}/pics
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/webpages
%{_datadir}/%{name}/AUTHORS
%{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/qutecom.qrc
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_libdir}/pm-utils/sleep.d/70QuteCom
%{_libdir}/%{name}
%{_bindir}/%{name}


%changelog
* Sun Oct  2 2010 Alexey Kurov <nucleo@fedoraproject.org> - 2.2.1-1
- new avcodec api

* Sun May 16 2010 Alexey Kurov <nucleo@fedoraproject.org> - 2.2-0.1
- Initial RPM release
